### Method

# EBook BookClientCursor get_position

since: 3.12

#### Declaration [src]

    gint
    e_book_client_cursor_get_position (
      EBookClientCursor* cursor
    )

#### Description [src]

Fetches the number of contacts leading up to the current cursor position, inclusive of the current cursor position.

The position value can be anywhere from 0 to the total number of contacts plus one. A value of 0 indicates that the cursor is positioned before the contact list in the symbolic `E_BOOK_CURSOR_ORIGIN_BEGIN` state. If the position is greater than the total, as returned by e_book_client_cursor_get_total(), then the cursor is positioned after the last contact in the symbolic `E_BOOK_CURSOR_ORIGIN_END` position.

Available since: 3.12

Gets property | `EBook.BookClientCursor:position`

#### Return value

Type: `gint`

The current cursor position.